%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		pondus
Version:	0.5.3
Release:	4%{?dist}
Summary:	A personal weight management program
Group:		Applications/Productivity
License:	GPLv3+
URL:		http://www.ephys.de/software/pondus/
Source0:	http://www.ephys.de/software/pondus/pondus-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch

# Required for plotting, not picked up automatically
Requires:	python-matplotlib

%description
Pondus is a personal weight management program written in Python and Gtk+2
released under the GPL. It aims to be simple to use, lightweight and fast.
The data can be plotted to get a quick overview of the history of your weight.
A simple weight planner allows to define "target weights" and this plan can be
compared with the actual measurements in a plot.

%prep
%setup -q
# Remove Version entry from desktop file
sed -i "/Version/d" data/pondus.desktop

%build
python -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
python -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}
# Find locales
%{find_lang} %{name}
# Remove installed doc that will go in %doc
rm -rf %{buildroot}%{_docdir}/%{name}
# Verify desktop file install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications --vendor="" --remove-category=GTK data/pondus.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS PKG-INFO README TODO
%{_bindir}/pondus
%{_mandir}/man1/pondus.1.*
%{_datadir}/applications/pondus.desktop
%{_datadir}/pixmaps/pondus.xpm
%{_datadir}/icons/hicolor/*/apps/pondus.*
%{_datadir}/pondus/
%{python_sitelib}/pondus/
%{python_sitelib}/pondus-*.egg-info

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.5.3-2
- Fix EPEL build.

* Sat Jul 11 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.5.3-2
- Added Requires: python-matplotlib for plotting capability.

* Fri Jul 10 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.5.3-1
- First release.
